Bug 143524 - New version of polish/ekg
Summary: New version of polish/ekg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-03 10:00 UTC by Bartłomiej Syryjczyk
Modified: 2010-02-13 18:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartłomiej Syryjczyk 2010-02-03 10:00:03 UTC
diff -pruN ./Makefile /tmp/ekg/Makefile
--- ./Makefile  2010-02-03 10:42:54.000000000 +0100
+++ /tmp/ekg/Makefile   2010-02-03 09:29:23.000000000 +0100
@@ -2,14 +2,14 @@
 # Date created:        24 March 2003
 # Whom:                Jacek Pelka <jacek@combit.com.pl>
 #
-# $FreeBSD: ports/polish/ekg/Makefile,v 1.32 2010/02/03 09:35:00 guzik Exp $
+# $FreeBSD: ports/polish/ekg/Makefile,v 1.31 2009/03/22 10:56:44 makc Exp $

 PORTNAME=              ekg
-PORTVERSION=           1.8.r1
-PORTEPOCH=             1
+PORTVERSION=           1.7
+PORTREVISION=          1
+PORTEPOCH=             2
 CATEGORIES=            polish net-im
 MASTER_SITES=          http://ekg.chmurka.net/
-DISTNAME=              ekg-1.8rc1

 MAINTAINER=            bartlomiej@syryjczyk.name
 COMMENT=               Text-mode Gadu-Gadu client
diff -pruN ./distinfo /tmp/ekg/distinfo
--- ./distinfo  2010-02-03 09:33:02.000000000 +0100
+++ /tmp/ekg/distinfo   2010-02-03 09:31:00.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (ekg-1.8rc1.tar.gz) = ae98f336a71f7aad446a3f620b672441
-SHA256 (ekg-1.8rc1.tar.gz) = 33156cecd12116914016a284051cc8e0b595d6e637c0b598efaaf821fd4c317f
-SIZE (ekg-1.8rc1.tar.gz) = 525335
+MD5 (ekg-1.7.tar.gz) = 2aa92b56517fdf09d75519a105772b74
+SHA256 (ekg-1.7.tar.gz) = 5fc42c8521c0e178f1b48d0b96578cbb5759202c6025ef9126c34af607897a2a
+SIZE (ekg-1.7.tar.gz) = 530314
diff -pruN ./files/patch-configure /tmp/ekg/files/patch-configure
--- ./files/patch-configure     1970-01-01 01:00:00.000000000 +0100
+++ /tmp/ekg/files/patch-configure      2007-06-11 00:21:05.000000000 +0200
@@ -0,0 +1,23 @@
+--- configure.orig     Fri Jun  1 16:11:57 2007
++++ configure  Fri Jun  1 16:16:42 2007
+@@ -4896,12 +4896,6 @@
+       lib_static_enabled=no
+ fi
+
+-if test "x$enable_static" = "xno" -a "x$enable_shared" != "xyes"; then
+-  { { echo "$as_me:$LINENO: error: You must choose either static or shared version of libgadu." >&5
+-echo "$as_me: error: You must choose either static or shared version of libgadu." >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+-
+ # Check whether --enable-dynamic was given.
+ if test "${enable_dynamic+set}" = set; then
+   enableval=$enable_dynamic;
+@@ -5941,7 +5935,6 @@
+       if test "x$enable_libgadu_openssl" != "xno"; then
+               LIBS_LIBGADU="$LIBS_LIBGADU $OPENSSL_LIBS"
+               CFLAGS_LIBGADU="$CFLAGS_LIBGADU $OPENSSL_INCLUDES"
+-              PC_REQUIRES="$PC_REQUIRES openssl"
+
+       sed 's/#undef __GG_LIBGADU_HAVE_OPENSSL/#define __GG_LIBGADU_HAVE_OPENSSL/' < lib/libgadu-config.h > lib/libgadu-config.h-
+       mv -f lib/libgadu-config.h- lib/libgadu-config.h
Comment 1 Edwin Groothuis freebsd_committer 2010-02-03 10:00:17 UTC
Maintainer of polish/ekg,

Please note that PR ports/143524 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143524

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-03 10:00:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 bartlomiej 2010-02-03 10:24:11 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

W dniu 2010-02-03 11:00, Edwin Groothuis pisze:
> Maintainer of polish/ekg,
> 
> Please note that PR ports/143524 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143524
Corrected patch below:
- ---
diff -pruN ./Makefile /usr/ports/polish/ekg/Makefile
- --- ./Makefile  2010-02-03 09:29:23.000000000 +0100
+++ /usr/ports/polish/ekg/Makefile      2010-02-03 11:17:38.000000000 +0100
@@ -2,14 +2,14 @@
 # Date created:        24 March 2003
 # Whom:                Jacek Pelka <jacek@combit.com.pl>
 #
- -# $FreeBSD: ports/polish/ekg/Makefile,v 1.31 2009/03/22 10:56:44 makc
Exp $
+# $FreeBSD: ports/polish/ekg/Makefile,v 1.32 2010/02/03 09:35:00 guzik
Exp $

 PORTNAME=              ekg
- -PORTVERSION=           1.7
- -PORTREVISION=          1
+PORTVERSION=           1.8.r1
 PORTEPOCH=             2
 CATEGORIES=            polish net-im
 MASTER_SITES=          http://ekg.chmurka.net/
+DISTNAME=              ekg-1.8rc1

 MAINTAINER=            bartlomiej@syryjczyk.name
 COMMENT=               Text-mode Gadu-Gadu client
diff -pruN ./distinfo /usr/ports/polish/ekg/distinfo
- --- ./distinfo  2010-02-03 09:31:00.000000000 +0100
+++ /usr/ports/polish/ekg/distinfo      2010-02-03 09:33:02.000000000 +0100
@@ -1,3 +1,3 @@
- -MD5 (ekg-1.7.tar.gz) = 2aa92b56517fdf09d75519a105772b74
- -SHA256 (ekg-1.7.tar.gz) =
5fc42c8521c0e178f1b48d0b96578cbb5759202c6025ef9126c34af607897a2a
- -SIZE (ekg-1.7.tar.gz) = 530314
+MD5 (ekg-1.8rc1.tar.gz) = ae98f336a71f7aad446a3f620b672441
+SHA256 (ekg-1.8rc1.tar.gz) =
33156cecd12116914016a284051cc8e0b595d6e637c0b598efaaf821fd4c317f
+SIZE (ekg-1.8rc1.tar.gz) = 525335
diff -pruN ./files/patch-configure
/usr/ports/polish/ekg/files/patch-configure
- --- ./files/patch-configure     2007-06-11 00:21:05.000000000 +0200
+++ /usr/ports/polish/ekg/files/patch-configure 1970-01-01
01:00:00.000000000 +0100
@@ -1,23 +0,0 @@
- ---- configure.orig     Fri Jun  1 16:11:57 2007
- -+++ configure  Fri Jun  1 16:16:42 2007
- -@@ -4896,12 +4896,6 @@
- -       lib_static_enabled=no
- - fi
- -
- --if test "x$enable_static" = "xno" -a "x$enable_shared" != "xyes"; then
- --  { { echo "$as_me:$LINENO: error: You must choose either static or
shared version of libgadu." >&5
- --echo "$as_me: error: You must choose either static or shared version
of libgadu." >&2;}
- --   { (exit 1); exit 1; }; }
- --fi
- --
- - # Check whether --enable-dynamic was given.
- - if test "${enable_dynamic+set}" = set; then
- -   enableval=$enable_dynamic;
- -@@ -5941,7 +5935,6 @@
- -       if test "x$enable_libgadu_openssl" != "xno"; then
- -               LIBS_LIBGADU="$LIBS_LIBGADU $OPENSSL_LIBS"
- -               CFLAGS_LIBGADU="$CFLAGS_LIBGADU $OPENSSL_INCLUDES"
- --              PC_REQUIRES="$PC_REQUIRES openssl"
- -
- -       sed 's/#undef __GG_LIBGADU_HAVE_OPENSSL/#define
__GG_LIBGADU_HAVE_OPENSSL/' < lib/libgadu-config.h > lib/libgadu-config.h-
- -       mv -f lib/libgadu-config.h- lib/libgadu-config.h
- ---

- -- 
BartÅomiej Syryjczyk
mobile: +48.723189237
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEbBAEBAgAGBQJLaU7LAAoJEFo4O5z6xFVFcgAH8QE8xM5gDLPWWezqig6K9vSa
8bvRlG+4OHYmCkI5a2UMZyFvBhMteCWTM9sz8mMb8npatEa5lbQHAGZTEM7Cl0f3
VGuLcMld0CBGPzmLVxPZdJAgzijqGuu08Y9FXs2LPObqFZ9oVwYY2nMrx5IPESWb
i06RB2wpBlAAD+zZC8BHH0HC6AJ25C8dSNQavzHPSn21QLGAuu8NP+rbir3Ey2Pi
oJLluluE5YMK3hlA6rz7b688LcFxJXP0j5NIVaY5K65WYFUEvCnmnWJLJcPZk/q0
6/69hG2ePCHrL+lTgnUx9C/GOMJqY6RgPj8Lr9hfyLULRPA5bFtGlnvVCF25PA==
=wcj0
-----END PGP SIGNATURE-----
Comment 4 Martin Wilke freebsd_committer 2010-02-03 13:51:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2010-02-13 18:45:20 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2010-02-13 18:45:27 UTC
miwi        2010-02-13 18:45:13 UTC

  FreeBSD ports repository

  Modified files:
    polish/ekg           Makefile distinfo pkg-plist 
  Log:
  - Update to 1.8rc1
  
  PR:             143524 (based on)
  Submitted by:   Bartlomiej Syryjczyk <guzik@anka.net.pl>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.32      +25 -26    ports/polish/ekg/Makefile
  1.16      +3 -3      ports/polish/ekg/distinfo
  1.7       +1 -0      ports/polish/ekg/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"